TON CenterAPI referenceAccounts
Get token data
Return metadata for Jetton or NFT contracts.
Query Parameters
address*string
The account address to query.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/getTokenData?address=EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs"{
"ok": true,
"result": {
"@type": "ext.tokens.jettonMasterData",
"address": "string",
"contract_type": "jetton_master",
"total_supply": "string",
"mintable": true,
"admin_address": "string",
"jetton_content": {
"type": "onchain",
"data": "string"
},
"jetton_wallet_code": "string"
},
"@extra": "string"
}{
"ok": false,
"code": 401,
"error": "API key does not exist"
}{
"ok": false,
"code": 403,
"error": "Network not allowed"
}{
"ok": false,
"code": 409,
"error": "Smart contract is not Jetton or NFT"
}{
"ok": false,
"code": 422,
"error": "empty address"
}{
"ok": false,
"code": 429,
"error": "Ratelimit exceeded"
}{
"ok": false,
"code": 500,
"error": "Failed to unpack token data"
}{
"ok": false,
"code": 504,
"error": "LITE_SERVER_NETWORK timeout"
}Last updated on